/**
 * Example file for demonstrating the ALE receiver functionality.
 *
 * @author  Ehsan Tofigh
 * @project lcx
 * @file    src/examples/ale_rx/main.c
 * @license
 */

#include <libradio/ale.h>
#include <libcortex/itm.h>
#include <libcortex/nvic.h>
#include <libcortex/radio.h>
#include <libcortex/systick.h>

#include <stdbool.h>
#include <stdint.h>

/** Configuration structure for the ALE module. */
static const struct lrd_ale_handle handle = {
	.key = { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 0xA, 0xB, 0xC, 0xD, 0xE, 0xF },
};

/**
 * Entry point of program.
 *
 * @return Return code of the program.
 */
int main (void)
{
	(void) lcx_nvic_init(1U);
	(void) lrd_ale_init(&handle);
	(void) lrd_ale_start_receiver();

	while (true) {
	}

	return 0;
}
